myUser='username'

#
#     Windows XP
#
#imageDir=('C:\\Documents and Settings\\'+myUser+'\\McIDAS-V\\')
#dataPath=('C:\\Documents and Settings\\'+myUser+'\\Data\\Scripting\\classify-areas')

#
#     Windows 7
#
imageDir=('C:\\Users\\'+myUser+'\\McIDAS-V\\')
dataPath=('C:\\Users\\'+myUser+'\\Data\\Scripting\\classify-areas')


#     Unix
#
#imageDir=('/home/'+myUser+'/McIDAS-V/')
#dataPath=('/home/'+myUser+'/Data/Scripting/classify-areas')

#
#     OSX
#imageDir=('/Users/'+myUser+'/Documents/McIDAS-V/')
#dataPath=('/Users/'+myUser+'/Documents/Data/Scripting/classify-areas')

#
# This example uses listADDEImageTimes to create a list images.
# The dates and times returned are sent into loadADDEImage.
# The bands returned from loadADDEImage are then sent to an algorithm for 
# processing.
# 


setLogLevel('TRACE')
#
# Define a local ADDE dataset
#
localData=makeLocalADDEEntry(dataset='GOES-13', imageType='Pixel Classification Dataset', mask=dataPath, format='McIDAS Area', save=True)

#
# --- Initialize a python list for storing the data for our
# --- image sequence
#
classificationLoop=[]
albedoLoop=[]

day='2011038'
beginTime='17:45'
endTime='20:45'

#
# --- Define an ADDE request to create a list of images for a range of days
# 
ADDE_listRequest = dict(
    localEntry=localData,
    day=day,
    time=(beginTime,endTime),
    position='ALL'
)
#
# --- Try to get all the directories for the particular day, if it fails,
# --- send a nice message and continue with the next day
#
dateTimeList = listADDEImageTimes(**ADDE_listRequest)

#
# --- listADDEImages was successful, so now try loadADDEImage for each of the 
# --- directories returned.  There may be occasions when the loadADDEImage fails
# --- but we want to continue
#
for dateTime in dateTimeList:

    imageTime = dateTime['time']
 
    ADDE_albedo_getRequest = dict(
        localEntry=localData,
        day=day,
        time=(imageTime,imageTime),
        band=1,
        unit='ALB',
        size='ALL',
    )
    albedoData=loadADDEImage(**ADDE_albedo_getRequest)

    ADDE_NearIR_getRequest = dict(
        localEntry=localData,
        day=day,
        time=(imageTime,imageTime),
        band=2,
        unit='TEMP',
        size='ALL',
    )
    NearIRData=loadADDEImage(**ADDE_NearIR_getRequest)

    ADDE_IR_getRequest = dict(
        localEntry=localData,
        day=day,
        time=(imageTime,imageTime),
        band=4,
        unit='TEMP',
        size='ALL',
    )
    IRData=loadADDEImage(**ADDE_IR_getRequest)

    ADDE_CO2_getRequest = dict(
        localEntry=localData,
        day=day,
        time=(imageTime,imageTime),
        band=6,
        unit='TEMP',
        size='ALL',
    )
    CO2Data=loadADDEImage(**ADDE_CO2_getRequest)

    print 'finished get calls for time %s' % imageTime

#
# --- loadADDEImage returned data, so apply algorithm and add it to the loop
#
    NIRsubIR=sub(NearIRData,IRData)
    IRsubCO2=sub(IRData,CO2Data)

    pixelType=pixelClassification(albedoData,NIRsubIR,IRsubCO2)

    classificationLoop.append(pixelType)
    albedoLoop.append(albedoData)


print 'finished data calls '

#
# --- Build a window
#
panel=buildWindow(height=800,width=800,panelTypes=MAP)

#
# --- Create a layer of albedos
#
albedoLayer = panel[0].createLayer('Image Sequence Display',albedoLoop)
albedoLayer.setLayerLabel(label=IRData['sensor-type'] + ' Pixel Classification %timestamp%')
albedoLayer.setEnhancement('Transparent Albedo',range=(0,80))

#
# --- Creata a layer of pixel types
#
productLayer = panel[0].createLayer('Image Sequence Display',classificationLoop)
productLayer.setLayerLabel(label=' ')
productLayer.setEnhancement('Classification',range=(0,60))

panel[0].setProjection('US>CONUS')
panel[0].setCenter(43,-95.5,2.75)
panel[0].setWireframe(False)
panel[0].annotate('<b>&lt</b> - Melting Snow',lat=34.8,lon=-101,size=18,alignment=('right','center'),color='Red')
writeMovie(imageDir+'classify-pixels.gif')