myUser='username'

#
#     Windows XP
#
#imageDir=('C:\\Documents and Settings\\'+myUser+'\\McIDAS-V\\')
#dataPath=('C:\\Documents and Settings\\'+myUser+'\\Data\\Scripting\\classify-areas')

#
#     Windows 7
#
imageDir=('C:\\Users\\'+myUser+'\\McIDAS-V\\')
dataPath=('C:\\Users\\'+myUser+'\\Data\\Scripting\\classify-areas')


#     Unix
#
#imageDir=('/home/'+myUser+'/McIDAS-V/')
#dataPath=('/home/'+myUser+'/Data/Scripting/classify-areas')

#
#     OSX
#imageDir=('/Users/'+myUser+'/Documents/McIDAS-V/')
#dataPath=('/Users/'+myUser+'/Documents/Data/Scripting/classify-areas')

#
# Define a local ADDE dataset
#
localData=makeLocalADDEEntry(dataset='GOES13', imageType='Pixel Classification Dataset', mask=dataPath, format='McIDAS Area', save=True)


#
# --- Define date and time
#
day='2011038'
time='18:15'

#
# --- Define an ADDE request 
# 
ADDE_Request = dict(
    localEntry=localData,
    day=day,
    time=(time,time),
    size='ALL'
)

#
# --- Request data for each band using loadADDEImage
#
albedoData=loadADDEImage(band=1, unit='ALB', **ADDE_Request)
NearIRData=loadADDEImage(band=2, unit='TEMP', **ADDE_Request)
IRData=loadADDEImage(band=4, unit='TEMP', **ADDE_Request)
CO2Data=loadADDEImage(band=6, unit='TEMP', **ADDE_Request)

#
# --- Subtract band 4 from band 2 and subtract band 6 from band 4
#
NIRsubIR=sub(NearIRData,IRData)
IRsubCO2=sub(IRData,CO2Data)
classifyData=pixelClassification(albedoData,NIRsubIR,IRsubCO2)

#
# --- Build a window
#
panel=buildWindow(height=800,width=800,panelTypes=MAP)

#
# --- Create an image showing classification of each pixel
#
classifyLayer = panel[0].createLayer('Image Display',classifyData)
classifyLayer.setLayerLabel(label=IRData['sensor-type'] + ' Pixel Classification %timestamp%')
classifyLayer.setEnhancement('Classification',range=(0,60))

panel[0].setProjection('US>CONUS')
panel[0].setCenter(43,-95.5,2.75)
panel[0].setWireframe(False)

panel[0].annotate('<b>&lt</b> - Snow',lat=43.3, lon=-95.0,size=18,alignment=('right','center'),color='Red')
panel[0].annotate('Ice Cloud - <b>&gt</b>',lat=32, lon=-83.5,size=18,alignment=('left','center'),color='Red')
panel[0].annotate('Water Cloud',lat=37.5, lon=-93.0,size=18,alignment=('center','center'),color='Red')
panel[0].annotate('Land',lat=31.5, lon=-100.5,size=18,alignment=('center','center'),color='Red')
panel[0].annotate('Water - <b>&gt</b>',lat=28, lon=-95.0,size=18,alignment=('left','center'),color='Red')
panel[0].captureImage(imageDir+'classify-pixels.jpg')