myUser='username'

#
#     Windows XP
#
#imageDir=('C:\\Documents and Settings\\'+myUser+'\\McIDAS-V\\')
#dataPath=('C:\\Documents and Settings\\'+myUser+'\\Data\\Scripting\\classify-areas')

#
#     Windows 7
#
imageDir=('C:\\Users\\'+myUser+'\\McIDAS-V\\')
dataPath=('C:\\Users\\'+myUser+'\\Data\\Scripting\\classify-areas')


#     Unix
#
#imageDir=('/home/'+myUser+'/McIDAS-V/')
#dataPath=('/home/'+myUser+'/Data/Scripting/classify-areas')

#
#     OSX
#imageDir=('/Users/'+myUser+'/Documents/McIDAS-V/')
#dataPath=('/Users/'+myUser+'/Documents/Data/Scripting/classify-areas')

#
#     Define a local ADDE dataset
#
localData=makeLocalADDEEntry(dataset='GOES-13', imageType='Pixel Classification Dataset', mask=dataPath, format='McIDAS Area', save=True)


#
#     Define date and time
#
day='2011038'
time='18:15'

#
#     Define an ADDE request 
# 
ADDE_Request = dict(
    localEntry=localData,
    day=day,
    time=(time,time),
    size='ALL'
)

#
#     Request data for each band using loadADDEImage
#
albedoData=loadADDEImage(band=1, unit='ALB', **ADDE_Request)
NearIRData=loadADDEImage(band=2, unit='TEMP', **ADDE_Request)
IRData=loadADDEImage(band=4, unit='TEMP', **ADDE_Request)
CO2Data=loadADDEImage(band=6, unit='TEMP', **ADDE_Request)

#
#     Subtract band 4 from band 2 and subtract band 6 from band 4
#
NIRsubIR=sub(NearIRData,IRData)
IRsubCO2=sub(IRData,CO2Data)

#
#     Build a window
#
panel=buildWindow(height=800,width=800,panelTypes=MAP)

#
#     Create a layer of each band and subtraction
#
albedoLayer = panel[0].createLayer('Image Display',albedoData)
albedoLayer.setLayerLabel(label=IRData['sensor-type'] + ' 0.65 micron Albedo %timestamp%')
albedoLayer.setEnhancement('Gray Scale',range=(0,80))

NIRLayer = panel[0].createLayer('Image Display',NearIRData)
NIRLayer.setLayerLabel(label=IRData['sensor-type'] + ' 3.9 micron Temperature ')
NIRLayer.setEnhancement('Gray Scale',range=(320,163))

IRLayer = panel[0].createLayer('Image Display',IRData)
IRLayer.setLayerLabel(label=IRData['sensor-type'] + ' 11.0 micron Temperature ')
IRLayer.setEnhancement('Gray Scale',range=(320,163))

CO2Layer = panel[0].createLayer('Image Display',CO2Data)
CO2Layer.setLayerLabel(label=IRData['sensor-type'] + ' 13.0 micron Temperature ')
CO2Layer.setEnhancement('Gray Scale',range=(320,163))

NIRsubIRLayer = panel[0].createLayer('Image Display',NIRsubIR)
NIRsubIRLayer.setLayerLabel(label=IRData['sensor-type'] + ' 3.9 micron - 11.0 micron Temperature Difference')
NIRsubIRLayer.setEnhancement('Gray Scale',range=(-60,60))

IRsubCO2Layer = panel[0].createLayer('Image Display',IRsubCO2)
IRsubCO2Layer.setLayerLabel(label=IRData['sensor-type'] + ' 11.0 micron - 13.0 micron Temperature Difference')
IRsubCO2Layer.setEnhancement('Gray Scale',range=(30,-30))

panel[0].setProjection('US>CONUS')
panel[0].setCenter(43,-95.5,1.75)
panel[0].setWireframe(False)

