#
#     Setting up a variable to specify the location of your final images
#     makes your script easier to read and more portable when you share it
#     with other users
#
myUser='username'

#
#     Windows XP example
#
#imageDir=('C:\\Documents and Settings\\'+myUser+'\\McIDAS-V\\')
#dataPath=('C:\\Documents and Settings\\'+myUser+'\\Data\\Scripting\\blizzard-areas')

#
#     Windows 7 example
#
imageDir=('C:\\Users\\'+myUser+'\\McIDAS-V\\')
dataPath=('C:\\Users\\'+myUser+'\\Data\\Scripting\\blizzard-areas')

#
#     UNIX example
#
#imageDir=('/home/'+myUser+'/McIDAS-V/')
#dataPath=('/home/'+myUser+'/Data/Scripting/blizzard-areas')


#
#     OS X example
#
#imageDir=('/Users/'+myUser+'/Documents/McIDAS-V/')
#dataPath=('/Users/'+myUser+'/Documents/Data/Scripting/blizzard-areas')

#
#     Create a dictionary for requesting images
#
localDataSet = makeLocalADDEEntry(dataset='BLIZZARD',imageType='Meteosat-3', mask=dataPath, format='McIDAS Area', save=True)
parms = dict(
    server='localhost',
    localEntry=localDataSet,
    position='ALL'
)

#
#    Initialize a python list
#
myLoop=[]

#
#    Create a list of all available Images using listADDEImageTimes
#
dateTimeList=listADDEImageTimes(**parms)

#
# --- listADDEImages was successful, so now try loadADDEImage for each of the
# --- directories returned.  There may be occasions when the loadADDEImage fails
# --- but we want to continue
#
for dateTime in dateTimeList:

    imageTime = dateTime['time']
    print dateTime['time']

    ADDE_IR_loadRequest = dict(
        localEntry=localDataSet,
        day=dateTime['day'],
        time=(imageTime,imageTime),
        band=8,
        unit='BRIT',
        location=(28.5,-75),
        coordinateSystem=LATLON,
        size=(1000,1000),
    )

    IRData=loadADDEImage(**ADDE_IR_loadRequest)
    
    myLoop.append(add(IRData,IRData))

#
#    Build a window
#
panel = buildWindow(height=600,width=900)
irLayer=panel[0].createLayer('Image Sequence Display',myLoop)


writeMovie(imageDir+'ir-loop.gif')
